Xerces-C++ 3.2.3

Public Types | List of all members
XSConstants Class Reference

## Public Types
enum | COMPONENT_TYPE { ATTRIBUTE_DECLARATION = 1, ELEMENT_DECLARATION = 2, TYPE_DEFINITION = 3, ATTRIBUTE_USE = 4, ATTRIBUTE_GROUP_DEFINITION = 5, MODEL_GROUP_DEFINITION = 6, MODEL_GROUP = 7, PARTICLE = 8, WILDCARD = 9, IDENTITY_CONSTRAINT = 10, NOTATION_DECLARATION = 11, ANNOTATION = 12, FACET = 13, MULTIVALUE_FACET = 14 }
enum | DERIVATION_TYPE { DERIVATION_NONE = 0, DERIVATION_EXTENSION = 1, DERIVATION_RESTRICTION = 2, DERIVATION_SUBSTITUTION = 4, DERIVATION_UNION = 8, DERIVATION_LIST = 16 }
enum | SCOPE { SCOPE_ABSENT = 0, SCOPE_GLOBAL = 1, SCOPE_LOCAL = 2 }
enum | VALUE_CONSTRAINT { VALUE_CONSTRAINT_NONE = 0, VALUE_CONSTRAINT_DEFAULT = 1, VALUE_CONSTRAINT_FIXED = 2 }

## Member Enumeration Documentation

## ◆ COMPONENT_TYPE

enum XSConstants::COMPONENT_TYPE

Enumerator
ATTRIBUTE_DECLARATION | The object describes an attribute declaration.
ELEMENT_DECLARATION | The object describes an element declaration.
TYPE_DEFINITION | The object describes a complex type or simple type definition.
ATTRIBUTE_USE | The object describes an attribute use definition.
ATTRIBUTE_GROUP_DEFINITION | The object describes an attribute group definition.
MODEL_GROUP_DEFINITION | The object describes a model group definition.
MODEL_GROUP | A model group.
PARTICLE | The object describes a particle.
WILDCARD | The object describes a wildcard.
IDENTITY_CONSTRAINT | The object describes an identity constraint definition.
NOTATION_DECLARATION | The object describes a notation declaration.
ANNOTATION | The object describes an annotation.
FACET | The object describes a constraining facet.
MULTIVALUE_FACET | The object describes enumeration/pattern facets.

## ◆ DERIVATION_TYPE

enum XSConstants::DERIVATION_TYPE

Enumerator
DERIVATION_NONE | No constraint is available.
DERIVATION_EXTENSION | `XSTypeDefinition` final set or `XSElementDeclaration` disallowed substitution group.
DERIVATION_RESTRICTION | `XSTypeDefinition` final set or `XSElementDeclaration` disallowed substitution group.
DERIVATION_SUBSTITUTION | `XSTypeDefinition` final set.
DERIVATION_UNION | `XSTypeDefinition` final set.
DERIVATION_LIST | `XSTypeDefinition` final set.

## ◆ SCOPE

enum XSConstants::SCOPE

Enumerator
SCOPE_ABSENT | The scope of a declaration within named model groups or attribute groups is `absent`. The scope of such declaration is determined when it is used in the construction of complex type definitions.
SCOPE_GLOBAL | A scope of `global` identifies top-level declarations.
SCOPE_LOCAL | `Locally scoped` declarations are available for use only within the complex type.

## ◆ VALUE_CONSTRAINT

enum XSConstants::VALUE_CONSTRAINT

Enumerator
VALUE_CONSTRAINT_NONE | Indicates that the component does not have any value constraint.
VALUE_CONSTRAINT_DEFAULT | Indicates that there is a default value constraint.
VALUE_CONSTRAINT_FIXED | Indicates that there is a fixed value constraint for this attribute.

The documentation for this class was generated from the following file:

- XSConstants.hpp